Sign inGet started

Users

GET
/organizations/{organizationId}/users
Get a list of members for an organization.
Parameter query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
preview
boolean
searchTerm
string
Search term used to filter organizations by name
userIds
array
List of user IDs.
email
string
Get an organization membership for this email address. Exact matching only.
status
string
Filter organization memberships by their status.
Possible values: banned, invited, active
role
array
Filter organization memberships by their role.
Payload respons
results
array of object
wajib
Tampilkan atribut turunan
results.user
object
wajib
Tampilkan atribut turunan
A user on the platform.
results.user.activeSessions
integer
wajib
The number of logged in session for the user.
results.user.avatarUrl
string
URL to the user's profile picture.
results.user.badges
array of string
results.user.bio
string
The user's description
results.user.createdAt
string
wajib
When the user was created.
results.user.defaultEmail
string
The default email of the user in the list of emails.
results.user.emails
array of object
wajib
Email addresses associated with user.
Tampilkan atribut turunan
results.user.emails.createdAt
string
wajib
When this record was created.
results.user.emails.email
string
wajib
The email address.
results.user.emails.id
string
wajib
ID of the email record.
results.user.emails.passwordSet
boolean
wajib
Whether there is a password set for this email address.
results.user.emails.tokenSet
boolean
wajib
Whether there is a token set for this email address.
results.user.emails.updatedAt
string
When this record was last updated.
results.user.emails.userId
string
wajib
ID of the user this record is associated with.
results.user.emails.verified
boolean
wajib
Whether the email address is verified.
results.user.id
string
wajib
ID of the user
results.user.identities
array of object
Third-party identities associated with user.
Tampilkan atribut turunan
results.user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
results.user.identities.createdAt
string
Timestamp when the identity was created.
results.user.identities.email
string
The email of the user on the third-party provider.
results.user.identities.id
string
The ID of the user on the third-party provider.
results.user.identities.name
string
The name of the user on the third-party provider.
results.user.identities.provider
string
The name of the provider
results.user.identities.updatedAt
string
Timestamp when the identity was last updated.
results.user.locale
string
results.user.name
string
wajib
The display name for the user
results.user.phoneNumber
string
results.user.phoneNumbers
array of object
wajib
The phone numbers associated with the user.
Tampilkan atribut turunan
results.user.phoneNumbers.createdAt
string
wajib
results.user.phoneNumbers.id
string
wajib
results.user.phoneNumbers.phoneNumber
string
wajib
results.user.phoneNumbers.primary
boolean
wajib
results.user.phoneNumbers.updatedAt
string
wajib
results.user.phoneNumbers.userId
string
wajib
results.user.phoneNumbers.verified
boolean
wajib
results.user.status
string
wajib
The status of the user
Possible values: pending, active, deleted, invited, banned
results.user.timezone
string
The default timezone for the user.
results.user.updatedAt
string
wajib
When the user was last updated.
results.user.userFraudInformation
object
Tampilkan atribut turunan
results.user.userFraudInformation.score
number
Fraud score
results.user.userFraudInformation.userId
string
Fraud user id
results.status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
wajib
When the membership was created.
results.updatedAt
string
wajib
When the membership was last updated.
results.attributes
object
Authorization context for the membership.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
results.roleRefs.id
string
wajib
results.roleRefs.type
string
wajib
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/users' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/users
Add a user to an organization. This can either be an existing user, or a new user that is invited to the platform.
Payload permintaan
Add an existing user to the organization
userId
string
wajib
The user ID
roleRefs
array of object
The list of roles to assign to the membership
Tampilkan parameter turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
roleIds
array of string
The list of Role IDs to assign to the user
attributes
object
Structured attributes for organization user membership (preferred method)
Tampilkan parameter turunan
attributes.roles
array of string
List of role slugs (consistent with workspace users)
Contoh kode
curl -X POST 'https://api.bird.com/organizations/{organizationId}/users' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/users/{userId}
Get a single organization membership record.
Parameter query
preview
boolean
Payload respons
user
object
wajib
Tampilkan atribut turunan
A user on the platform.
user.activeSessions
integer
wajib
The number of logged in session for the user.
user.avatarUrl
string
URL to the user's profile picture.
user.badges
array of string
user.bio
string
The user's description
user.createdAt
string
wajib
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
user.emails
array of object
wajib
Email addresses associated with user.
Tampilkan atribut turunan
user.emails.createdAt
string
wajib
When this record was created.
user.emails.email
string
wajib
The email address.
user.emails.id
string
wajib
ID of the email record.
user.emails.passwordSet
boolean
wajib
Whether there is a password set for this email address.
user.emails.tokenSet
boolean
wajib
Whether there is a token set for this email address.
user.emails.updatedAt
string
When this record was last updated.
user.emails.userId
string
wajib
ID of the user this record is associated with.
user.emails.verified
boolean
wajib
Whether the email address is verified.
user.id
string
wajib
ID of the user
user.identities
array of object
Third-party identities associated with user.
Tampilkan atribut turunan
user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
user.identities.createdAt
string
Timestamp when the identity was created.
user.identities.email
string
The email of the user on the third-party provider.
user.identities.id
string
The ID of the user on the third-party provider.
user.identities.name
string
The name of the user on the third-party provider.
user.identities.provider
string
The name of the provider
user.identities.updatedAt
string
Timestamp when the identity was last updated.
user.locale
string
user.name
string
wajib
The display name for the user
user.phoneNumber
string
user.phoneNumbers
array of object
wajib
The phone numbers associated with the user.
Tampilkan atribut turunan
user.phoneNumbers.createdAt
string
wajib
user.phoneNumbers.id
string
wajib
user.phoneNumbers.phoneNumber
string
wajib
user.phoneNumbers.primary
boolean
wajib
user.phoneNumbers.updatedAt
string
wajib
user.phoneNumbers.userId
string
wajib
user.phoneNumbers.verified
boolean
wajib
user.status
string
wajib
The status of the user
Possible values: pending, active, deleted, invited, banned
user.timezone
string
The default timezone for the user.
user.updatedAt
string
wajib
When the user was last updated.
user.userFraudInformation
object
Tampilkan atribut turunan
user.userFraudInformation.score
number
Fraud score
user.userFraudInformation.userId
string
Fraud user id
status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wajib
When the membership was created.
updatedAt
string
wajib
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
teamRoles
array of object
The list of roles inherited from teams
Tampilkan atribut turunan
teamRoles.id
string
wajib
teamRoles.name
string
wajib
teamRoles.roleRefs
array of object
The list of roles assigned to the team
Tampilkan atribut turunan
teamRoles.roleRefs.id
string
wajib
teamRoles.roleRefs.type
string
wajib
Possible values: organization, managed
teamRoles.roleRefs.workspaces
array of string
attributes
object
Additional attributes for the membership
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/users/{userId}
Remove a user from the organization
Contoh kode
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/users/{userId}
Update the properties of the organization membership for the user.
Payload permintaan
roleRefs
array of object
The list of roles to assign to the membership (legacy, use attributes instead)
Tampilkan parameter turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
roleIds
array of string
Roles to assign to the user (legacy, use attributes instead)
attributes
object
Structured attributes for organization user membership (preferred method)
Tampilkan parameter turunan
attributes.roles
array of string
List of role slugs (consistent with workspace users)
roleTreatment
string
Used to allow removing the legacy roles for the user
Payload respons
user
object
wajib
Tampilkan atribut turunan
A user on the platform.
user.activeSessions
integer
wajib
The number of logged in session for the user.
user.avatarUrl
string
URL to the user's profile picture.
user.badges
array of string
user.bio
string
The user's description
user.createdAt
string
wajib
When the user was created.
user.defaultEmail
string
The default email of the user in the list of emails.
user.emails
array of object
wajib
Email addresses associated with user.
Tampilkan atribut turunan
user.emails.createdAt
string
wajib
When this record was created.
user.emails.email
string
wajib
The email address.
user.emails.id
string
wajib
ID of the email record.
user.emails.passwordSet
boolean
wajib
Whether there is a password set for this email address.
user.emails.tokenSet
boolean
wajib
Whether there is a token set for this email address.
user.emails.updatedAt
string
When this record was last updated.
user.emails.userId
string
wajib
ID of the user this record is associated with.
user.emails.verified
boolean
wajib
Whether the email address is verified.
user.id
string
wajib
ID of the user
user.identities
array of object
Third-party identities associated with user.
Tampilkan atribut turunan
user.identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
user.identities.createdAt
string
Timestamp when the identity was created.
user.identities.email
string
The email of the user on the third-party provider.
user.identities.id
string
The ID of the user on the third-party provider.
user.identities.name
string
The name of the user on the third-party provider.
user.identities.provider
string
The name of the provider
user.identities.updatedAt
string
Timestamp when the identity was last updated.
user.locale
string
user.name
string
wajib
The display name for the user
user.phoneNumber
string
user.phoneNumbers
array of object
wajib
The phone numbers associated with the user.
Tampilkan atribut turunan
user.phoneNumbers.createdAt
string
wajib
user.phoneNumbers.id
string
wajib
user.phoneNumbers.phoneNumber
string
wajib
user.phoneNumbers.primary
boolean
wajib
user.phoneNumbers.updatedAt
string
wajib
user.phoneNumbers.userId
string
wajib
user.phoneNumbers.verified
boolean
wajib
user.status
string
wajib
The status of the user
Possible values: pending, active, deleted, invited, banned
user.timezone
string
The default timezone for the user.
user.updatedAt
string
wajib
When the user was last updated.
user.userFraudInformation
object
Tampilkan atribut turunan
user.userFraudInformation.score
number
Fraud score
user.userFraudInformation.userId
string
Fraud user id
status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wajib
When the membership was created.
updatedAt
string
wajib
When the membership was last updated.
attributes
object
Authorization context for the membership.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
Contoh kode
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/users/{userId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'